> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-add-agent-server-rest-api-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Git Changes Query

> Get git changes using query parameter (preferred method).



## OpenAPI

````yaml openapi/agent-server.json get /api/git/changes
openapi: 3.1.0
info:
  title: OpenHands Agent Server
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  version: 0.1.0
servers: []
security: []
paths:
  /api/git/changes:
    get:
      tags:
        - Git
      summary: Git Changes Query
      description: Get git changes using query parameter (preferred method).
      operationId: git_changes_query_api_git_changes_get
      parameters:
        - name: path
          in: query
          required: true
          schema:
            type: string
            description: The git repository path
            title: Path
          description: The git repository path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GitChange'
                title: Response Git Changes Query Api Git Changes Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    GitChange:
      properties:
        status:
          $ref: '#/components/schemas/GitChangeStatus'
        path:
          type: string
          format: path
          title: Path
      type: object
      required:
        - status
        - path
      title: GitChange
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GitChangeStatus:
      type: string
      enum:
        - MOVED
        - ADDED
        - DELETED
        - UPDATED
      title: GitChangeStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Session-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.